%define upstream_name    IO-Handle-Util
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Create L<IO::Handle> like objects using a set
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FileHandle)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::String)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(asa)
BuildRequires: perl(autodie)
BuildRequires: perl(ok)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(warnings::register)
BuildArch:  noarch

%{?perl_default_filter}

%description
This module provides a number of helpful routines to manipulate or create
the IO::Handle manpage like objects.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-4.mga10
+ Revision: 2208815
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.20.0-3.mga9
+ Revision: 1819273
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.20.0-2.mga8
+ Revision: 1519731
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Oct 17 2018 shlomif <shlomif> 0.20.0-1.mga7
+ Revision: 1321462
- update to 0.02

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-9.mga7
+ Revision: 1268758
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1028700
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 932267
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 748514
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.10.0-5.mga5
+ Revision: 732301
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 685063
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 512273
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 368523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.10.0-1.mga2
+ Revision: 112179
- imported package perl-IO-Handle-Util


* Wed Jun 22 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
